Problem when install Glibc-2.3.4 in Chapter 6.11use LFS 6.1live CD

Rebelde jrsilva2k at gmail.com
Thu Jan 5 06:52:09 PST 2006


Your Friend Efid escreveu:

>Hello,
>
>My name is Efid, and I followed the LFSHint__How to
>build a LFS 6.1 system using the LFS live CD
>instruction.
>
>Until end of Chapter 5 there is no problem for the
>installation of the packages.
>
>Problem shows up when I installed Glibc-2.3.4 in
>Chapter 6.11.
>I have followed the instruction in this chapter until
>"make check" command, and I have got result :
>
>"
> libgcc_s.so.1 must be installed for phtread_ cancel
>to work
> Didn't expect signal from child: got 'Aborted'
> make [2]: ***
>[/sources/glibc-build/nptl/tst-mutex8.out] Error 1
> make [2]: Leaving directory
>`/sources/glibc-2.3.4/nptl'
> make [1]: *** [/nptl/tests] Error 2
> make [1]: Leaving directory `/sources/glibc-2.3.4/'
> make: *** [check] Error 2
>"
>
>after that I typed "touch /etc/ld.so.conf" and "make
>install" command, and I have got result :
>"
> CC="gcc" /usr/bin/perl script/test-installation.pl
>/sources/glibc-build/
> Your new glibc installation seems to be ok.
> make [1]: Leaving directory `sources/glibc-2.3.4'
>"
>
>I continued the installation anyway until end of
>chapter 6.11. Glibc-2.3.4.
>
>
>In Chapter 6.12. Re-adjusting the Toolchain , I
>followed the instruction to type 
>"make -C ld INSTALL=/tools/bin/install install" and a
>perl command.
>After that I performed the sanity check :
>"
> echo 'main(){}' > dummy.c
> cc dummy.c
>"
>and I have got a message after I did "cc dummy.c"
>command :
>"
>/tools/lib/gcc/i686-pc-linux-gnu/3.4.3/../../../../i686-pc-linux-gnu/bin/ld:
>can not find -lgcc_s
> collect2: ld returned 1 exit status
>"
>Because of that I'm not going to continue the
>installation process.
>
>
>The Question is where did I do the mistake, and how to
>solve this problem because I have repeated these steps
>3 times and I have got the same result.
>
>Can you help me, please ?, I'm waiting your response.
>
>Thanks.
>
>
>
>
>		
>__________________________________________ 
>Yahoo! DSL – Something to write home about. 
>Just $16.99/mo. or less. 
>dsl.yahoo.com 
>
>  
>
I got a problem like you. I had to install all dependencies required for 
glib in my host system and after this all my glib compile works fine. I 
work on host knoppix installed on my computer.



More information about the livecd mailing list